/******************************
For the first problem, both of the solutions below will work in SQL Server

Oracle Solution
******************************/
SELECT FirstName, LastName, BirthDate
FROM Employees
WHERE BirthDate BETWEEN '1-Jan-1950' AND '31-Dec-1959';

/******************************
MySQL Solution
******************************/
SELECT FirstName, LastName, BirthDate
FROM Employees
WHERE BirthDate BETWEEN '1950-01-01' AND '1959-12-31 23:59:59';

/* The result of the following "HINT" query must be obtained first in order to write the solution query for #2 */
select supplierid
from suppliers
where companyname in ('Exotic Liquids', 
                'Grandma Kelly"s Homestead',
                'Tokyo Traders');


SELECT ProductName, SupplierID
FROM Products
WHERE SupplierID IN (1, 3, 4);  

SELECT ShipPostalCode, OrderID, OrderDate
FROM Orders
WHERE ShipPostalCode LIKE '02389%';

SELECT ContactName, ContactTitle, CompanyName
FROM Customers
WHERE NOT ContactTitle LIKE '%Sales%';